> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.modbox.run/llms.txt.
> For full documentation content, see https://docs.modbox.run/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.modbox.run/_mcp/server.

# Create Registry

POST https://api.modbox.run/registries
Content-Type: application/json

Create a new registry credential. Password is encrypted at rest.

Reference: https://docs.modbox.run/api-reference/modbox-api/create-registry

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: open-api
  version: 1.0.0
paths:
  /registries:
    post:
      operationId: create-registry
      summary: Create Registry
      description: Create a new registry credential. Password is encrypted at rest.
      tags:
        - ''
      parameters:
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
        - name: x-workspace-id
          in: header
          required: false
          schema:
            type:
              - string
              - 'null'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RegistryCredentialDetail'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RegistryCredentialCreate'
servers:
  - url: https://api.modbox.run
components:
  schemas:
    RegistryCredentialCreate:
      type: object
      properties:
        email:
          type:
            - string
            - 'null'
          format: email
        enabled:
          type: boolean
          default: true
        name:
          type: string
        password:
          type: string
        server:
          type: string
        username:
          type: string
      required:
        - name
        - password
        - server
        - username
      description: Request body for creating a new registry credential.
      title: RegistryCredentialCreate
    RegistryCredentialDetail:
      type: object
      properties:
        created_at:
          type: string
          format: date-time
        email:
          type:
            - string
            - 'null'
        enabled:
          type: boolean
        id:
          type: string
          format: uuid
        name:
          type: string
        server:
          type: string
        updated_at:
          type: string
          format: date-time
        username:
          type: string
      required:
        - created_at
        - email
        - enabled
        - id
        - name
        - server
        - updated_at
        - username
      description: Registry credential returned from the API. Password is never exposed.
      title: RegistryCredentialDetail
    ValidationErrorLocItems:
      oneOf:
        - type: string
        - type: integer
      title: ValidationErrorLocItems
    ValidationError:
      type: object
      properties:
        loc:
          type: array
          items:
            $ref: '#/components/schemas/ValidationErrorLocItems'
        msg:
          type: string
        type:
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
    HTTPValidationError:
      type: object
      properties:
        detail:
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
      title: HTTPValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

```

## SDK Code Examples

```typescript
import { ModboxOpenApiClient } from "modbox-sdk";

async function main() {
    const client = new ModboxOpenApiClient({
        token: "YOUR_TOKEN_HERE",
    });
    await client.createRegistry({
        name: "string",
        password: "string",
        server: "string",
        username: "string",
    });
}
main();

```

```python
from modbox import ModboxOpenApi

client = ModboxOpenApi(
    token="YOUR_TOKEN_HERE",
)

client.create_registry(
    name="string",
    password="string",
    server="string",
    username="string",
)

```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.modbox.run/registries"

	payload := strings.NewReader("{\n  \"name\": \"string\",\n  \"password\": \"string\",\n  \"server\": \"string\",\n  \"username\": \"string\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.modbox.run/registries")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"string\",\n  \"password\": \"string\",\n  \"server\": \"string\",\n  \"username\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.modbox.run/registries")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"string\",\n  \"password\": \"string\",\n  \"server\": \"string\",\n  \"username\": \"string\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.modbox.run/registries', [
  'body' => '{
  "name": "string",
  "password": "string",
  "server": "string",
  "username": "string"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.modbox.run/registries");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"string\",\n  \"password\": \"string\",\n  \"server\": \"string\",\n  \"username\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "name": "string",
  "password": "string",
  "server": "string",
  "username": "string"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.modbox.run/registries")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```